# ImageLoader Class

Extends EventDispatcher
Defined in: `js/util/ImageLoader.js:16`
Module: util
Parent Module: StructureJS

The ImageLoader...

## Index

Show: Inherited Protected Private Deprecated

### Properties

- _listeners
- isEnabled
- parent
- sjsId

### Methods

- ImageLoader constructor
- addEventListener
- addEventListenerOnce
- destroy
- disable
- dispatchEvent
- enable
- getEventListeners
- getQualifiedClassName
- hasEventListener
- removeEventListener

## Properties

### `_listeners` Array. protected

Inherited from EventDispatcher: `js/event/EventDispatcher.js:39`

Holds a reference to added listeners.

### `isEnabled` Boolean public

Inherited from ObjectManager: `js/ObjectManager.js:31`

The isEnabled property is used to keep track of the enabled state of the object.

Default: false

### `parent` Any public

Inherited from EventDispatcher: `js/event/EventDispatcher.js:47`

Indicates the object that contains a child object. Uses the parent property to specify a relative path to display objects that are above the current display object in the display list hierarchy and helps facilitate event bubbling.

### `sjsId` Int public

Inherited from BaseObject: `js/BaseObject.js:27`

The sjsId (StructureJS ID) is a unique identifier automatically assigned to most StructureJS objects upon instantiation.

Default: null

There are no properties that match your current filter settings. You can change your filter settings in the index section on this page. index

## Constructor

### `ImageLoader` ()

Defined in `js/util/ImageLoader.js:16`

## Methods

### `addEventListener`
(

- `type`
- `callback`
- `scope`
- `[priority=0]`

)
public chainable

Inherited from EventDispatcher: `js/event/EventDispatcher.js:59`

Registers an event listener object with an EventDispatcher object so the listener receives notification of an event.

#### Parameters:

- `type` String

  The type of event.

- `callback` Function

  The listener function that processes the event. This function must accept an Event object as its only parameter and must return nothing, as this example shows. @example function(event:Event):void

- `scope` Any

  Binds the scope to a particular object (scope is basically what "this" refers to in your function). This can be very useful in JavaScript because scope isn't generally maintained.

- `[priority=0]` Int optional

  Influences the order in which the listeners are called. Listeners with lower priorities are called after ones with higher priorities.

#### Example:

     this.addEventListener(BaseEvent.CHANGE, this._handlerMethod, this);

     _handlerMethod(event) {
         console.log(event.target + " sent the event.");
         console.log(event.type, event.data);
     }

### `addEventListenerOnce`
(

- `type`
- `callback`
- `scope`
- `[priority=0]`

)
public chainable

Inherited from EventDispatcher: `js/event/EventDispatcher.js:102`

Registers an event listener object once with an EventDispatcher object so the listener will receive the notification of an event.

#### Parameters:

- `type` String

  The type of event.

- `callback` Function

  The listener function that processes the event. This function must accept an Event object as its only parameter and must return nothing, as this example shows. @example function(event:Event):void

- `scope` Any

  Binds the scope to a particular object (scope is basically what "this" refers to in your function). This can be very useful in JavaScript because scope isn't generally maintained.

- `[priority=0]` Int optional

  Influences the order in which the listeners are called. Listeners with lower priorities are called after ones with higher priorities.

#### Example:

     this.addEventListenerOnce(BaseEvent.CHANGE, this._handlerMethod, this);

     _handlerMethod(event) {
         console.log(event.target + " sent the event.");
         console.log(event.type, event.data);
     }

### `destroy` () Void public

Inherited from BaseObject: `js/BaseObject.js:55`

The purpose of the destroy method is to make an object ready for garbage collection. This should be thought of as a one way function. Once destroy is called no further methods should be called on the object or properties accessed. It is the responsibility of those who implement this function to stop all running Timers, all running Sounds, and take any other steps necessary to make an object eligible for garbage collection.

By default the destroy method will null out all properties of the class automatically. You should call destroy on other objects before calling the super.

#### Returns:

Void:

#### Example:

    destroy() {
         this.disable();

         this._childInstance.destroy();

         super.destroy();
    }

### `disable` () public chainable

Inherited from ObjectManager: `js/ObjectManager.js:64`

The disable method is responsible for disabling event listeners and/or children of the containing objects.

#### Example:

     disable() {
         if (this.isEnabled === false) { return this; }

         this._childInstance.removeEventListener(BaseEvent.CHANGE, this.handlerMethod, this);
         this._childInstance.disable();

         return super.disable();
     }

### `dispatchEvent`
(

- `event`
- `[data=null]`

)
public chainable

Inherited from EventDispatcher: `js/event/EventDispatcher.js:159`

Dispatches an event into the event flow. The event target is the EventDispatcher object upon which the dispatchEvent() method is called.

#### Parameters:

- `event` String | BaseEvent

  The Event object or event type string you want to dispatch. You can create custom events, the only requirement is all events must extend BaseEvent.

- `[data=null]` Any optional

  The optional data you want to send with the event. Do not use this parameter if you are passing in a BaseEvent.

#### Example:

     this.dispatchEvent('change');

     // Example: Sending data with the event:
     this.dispatchEvent('change', {some: 'data'});

     // Example: With an event object
     // (event type, bubbling set to true, cancelable set to true and passing data) :
     let event = new BaseEvent(BaseEvent.CHANGE, true, true, {some: 'data'});
     this.dispatchEvent(event);

     // Here is a common inline event object being dispatched:
     this.dispatchEvent(new BaseEvent(BaseEvent.CHANGE));

### `enable` () public chainable

Inherited from ObjectManager: `js/ObjectManager.js:41`

The enable method is responsible for enabling event listeners and/or children of the containing objects.

#### Example:

    enable() {
         if (this.isEnabled === true) { return this; }

         this._childInstance.addEventListener(BaseEvent.CHANGE, this.handlerMethod, this);
         this._childInstance.enable();

         return super.enable();
    }

### `getEventListeners` () String public

Inherited from EventDispatcher: `js/event/EventDispatcher.js:248`

Generates a string output of event listeners for a given object.

#### Returns:

String:

#### Example:

     this.getEventListeners();

     // [ClassName] is listening for the 'BaseEvent.change' event.

### `getQualifiedClassName` () String public

Inherited from BaseObject: `js/BaseObject.js:40`

Returns the fully qualified class name of an object.

#### Returns:

String:

Returns the class name.

#### Example:

    let someClass = new SomeClass();
    someClass.getQualifiedClassName();

    // SomeClass

### `hasEventListener`
(

- `type`
- `callback`
- `scope`

)
Boolean public

Inherited from EventDispatcher: `js/event/EventDispatcher.js:223`

Check if an object has a specific event listener already added.

#### Parameters:

- `type` String

  The type of event.

- `callback` Function

  The listener method to call.

- `scope` Any

  The scope of the listener object.

#### Returns:

Boolean:

#### Example:

     this.hasEventListener(BaseEvent.CHANGE, this._handlerMethod, this);

### `removeEventListener`
(

- `type`
- `callback`
- `scope`

)
public chainable

Inherited from EventDispatcher: `js/event/EventDispatcher.js:131`

Removes a specified listener from the EventDispatcher object.

#### Parameters:

- `type` String

  The type of event.

- `callback` Function

  The listener object to remove.

- `scope` Any

  The scope of the listener object to be removed.

#### Example:

     this.removeEventListener(BaseEvent.CHANGE, this._handlerMethod, this);

There are no methods that match your current filter settings. You can change your filter settings in the index section on this page. index